#standard equipment type config file
#    
#     SM-IO Generic Unit
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: SM-IO
#               Relevant Equipment List: 
#


#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID    Group Type Flag	Type Name		Type Name Resource ID
1204	    0			SM-IO Generic Unit 4	73

#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
17

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression					Value Range		Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
1		Analogue Input 1	1			NA		1				7			F			NA			NA			NA							NA			W/L				NA			1			.2			NA      
2		Analogue Input 2	2			NA		1				8			F			NA			NA			NA							NA			W/L				NA			2			.2			NA      
3		Analogue Input 3	3			NA		1				9			F			NA			NA			NA							NA			W/L				NA			3			.2			NA      
4		Analogue Input 4	4			NA		1				10			F			NA			NA			NA							NA			W/L				NA			4			.2			NA      
5		Analogue Input 5	5			NA		1				11			F			NA			NA			NA							NA			W/L				NA			5			.2			NA      
6		Frequency Input 	6			NA		1				12			F			NA			NA			NA							NA			W/L				NA			6			.2			NA      
7		Digital Input 1 	7			NA		1				0			E			NA			NA			NA							[ID47=off]/[ID48=on]	W/L				NA			7			NA			NA      
#7		Analogue Input 6 	7			NA		1				0			F			NA			NA			NA							NA			W/L				NA			7			.2			NA      
8		Digital Input 2 	8			NA		1				1			E			NA			NA			NA							[ID49=off]/[ID50=on]	W/L				NA			8			NA			NA      
#8		Analogue Input 7 	8			NA		1				1			F			NA			NA			NA							NA			W/L				NA			8			.2			NA      
9		Digital Input 3 	9			NA		1				2			E			NA			NA			NA							[ID51=off]/[ID52=on]	W/L				NA			9			NA			NA      
#9		Analogue Input 8 	9			NA		1				2			F			NA			NA			NA							NA			W/L				NA			9			.2			NA      
10		Digital Input 4 	10			NA		1				3			E			NA			NA			NA							[ID53=off]/[ID54=on]	W/L				NA			10			NA			NA      
#10		Analogue Input 9 	10			NA		1				3			F			NA			NA			NA							NA			W/L				NA			10			.2			NA      
11		Digital Input 5 	11			NA		1				4			E			NA			NA			NA							[ID55=off]/[ID56=on]	W/L				NA			11			NA			NA      
#11		Analogue Input 10 	11			NA		1				4			F			NA			NA			NA							NA			W/L				NA			11			.2			NA      
12		Digital Input 6 	12			NA		1				5			E			NA			NA			NA							[ID57=off]/[ID58=on]	W/L				NA			12			NA			NA      
#12		Analogue Input 11 	12			NA		1				5			F			NA			NA			NA							NA			W/L				NA			12			.2			NA      
13		Digital Input 7 	13			NA		1				6			E			NA			NA			NA							[ID59=off]/[ID60=on]	W/L				NA			13			NA			NA      
#13		Analogue Input 12 	13			NA		1				6			F			NA			NA			NA							NA			W/L				NA			13			.2			NA      
14		Relay 1 Status  	14			NA		1				13			E			NA			NA			NA							[ID61=off]/[ID62=on]	W/L				NA			14			NA			NA      
15		Relay 2 Status  	15			NA		1				14			E			NA			NA			NA							[ID63=off]/[ID64=on]	W/L				NA			15			NA			NA      
16		Relay 3 Status  	16			NA		1				15			E			NA			NA			NA							[ID65=off]/[ID66=on]	W/L				NA			16			NA			NA      
21		Testing Relay1	78			NA		-1				-3			E			NA			NA			NA				[ID16=OFF]/[ID17=ON]	NA				NA			63			NA					NA
22		Testing Relay2	79			NA		-1				-3			E			NA			NA			NA				[ID16=OFF]/[ID17=ON]	NA				NA			63			NA					NA
23		Testing Relay3	80			NA		-1				-3			E			NA			NA			NA				[ID16=OFF]/[ID17=ON]	NA				NA			63			NA					NA
99		SMIO failure		74			NA		1				16			E			NA			NA			NA							[ID76=no]/[ID77=yes]	NA				NA			17			NA			NA      
100		Work Status		74			NA		1				17			E			NA			NA			NA							[ID76=no]/[ID77=yes]	NA				NA			17			NA			NA      

#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
3

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range		Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression	On Control Action	Disp Exp
1		Relay 1 on/off		17			NA		1				13			E			[ID67=off]/[ID68=on]	W/L				W/L				[1,2,7]==1 | [1,2,222]==1	O			18			NA			0			NA		1		NA			NA			NA      
2		Relay 2 on/off		18			NA		1				14			E			[ID69=off]/[ID70=on]	W/L				W/L				[1,2,7]==1 | [1,2,222]==1	O			19			NA			1			NA		1		NA			NA			NA      
3		Relay 3 on/off		19			NA		1				15			E			[ID71=off]/[ID72=on]	W/L				W/L				[1,2,7]==1 | [1,2,222]==1	O			20			NA			2			NA		1		NA			NA			NA      

#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
12

[SETTING_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Default Value		Value Range			Value Display Attribute		Value Setting Attribute		Settable Expression	Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression		Persistence Falg	On Control Action	Disp Exp
1		High Analogue Input 1 limit  		23			NA		-1				-3			F			0			NA				W/L				W/L				[0,2,1]>[0,2,2]		O			21			.2			-3			1		NA				1			NA			NA      
2		Low Analogue Input 1 limit   		24			NA		-1				-3			F			0			NA				W/L				W/L				[0,2,2]<[0,2,1]		O			22			.2			-3			1		NA				1			NA			NA      
3		High Analogue Input 2 limit  		25			NA		-1				-3			F			0			NA				W/L				W/L				[0,2,3]>[0,2,4]		O			23			.2			-3			1		NA				1			NA			NA      
4		Low Analogue Input 2 limit   		26			NA		-1				-3			F			0			NA				W/L				W/L				[0,2,4]<[0,2,3]		O			24			.2			-3			1		NA				1			NA			NA      
5		High Analogue Input 3 limit  		27			NA		-1				-3			F			0			NA				W/L				W/L				[0,2,5]>[0,2,6]		O			25			.2			-3			1		NA				1			NA			NA      
6		Low Analogue Input 3 limit   		28			NA		-1				-3			F			0			NA				W/L				W/L				[0,2,6]<[0,2,5]		O			26			.2			-3			1		NA				1			NA			NA      
7		High Analogue Input 4 limit  		29			NA		-1				-3			F			0			NA				W/L				W/L				[0,2,7]>[0,2,8]		O			27			.2			-3			1		NA				1			NA			NA      
8		Low Analogue Input 4 limit   		30			NA		-1				-3			F			0			NA				W/L				W/L				[0,2,8]<[0,2,7]		O			28			.2			-3			1		NA				1			NA			NA      
9		High Analogue Input 5 limit  		31			NA		-1				-3			F			0			NA				W/L				W/L				[0,2,9]>[0,2,10]	O			29			.2			-3			1		NA				1			NA			NA      
10		Low Analogue Input 5 limit   		32			NA		-1				-3			F			0			NA				W/L				W/L				[0,2,10]<[0,2,9]	O			30			.2			-3			1		NA				1			NA			NA      
11		High Frequency Limit         		33			Hz		-1				-3			F			65			40/70				W/L				W/L				[0,2,11]>[0,2,12]	O			31			.2			-3			1		NA				1			NA			NA      
12		Low Frequency Limit          		34			Hz		-1				-3			F			45			40/70				W/L				W/L				[0,2,12]<[0,2,11]	O			32			.2			-3			1		NA				1			NA			NA      

#2.4 Define the Alarm Singals
[ALARM_NUM]
13

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name			Alarm Name Resource ID		Alarm Level	Alarm Expression					Alarm Delay	Suppressing Expression	Relay ID
1		High Analogue Input 1 Alarm	35				OA		[0,0,1] > [0,2,1]|([0,3,1]&[0,0,1] > [0,2,1]-0.1)	NA		[0,3,13]		NA      
2		Low Analogue Input 1 Alarm 	36				OA		[0,0,1] < [0,2,2]|([0,3,2]&[0,0,1] < [0,2,2]+0.1)	NA		[0,3,13]		NA      
3		High Analogue Input 2 Alarm	37				OA		[0,0,2] > [0,2,3]|([0,3,3]&[0,0,2] > [0,2,3]-0.1)	NA		[0,3,13]		NA      
4		Low Analogue Input 2 Alarm 	38				OA		[0,0,2] < [0,2,4]|([0,3,4]&[0,0,2] < [0,2,4]+0.1)	NA		[0,3,13]		NA      
5		High Analogue Input 3 Alarm	39				OA		[0,0,3] > [0,2,5]|([0,3,5]&[0,0,3] > [0,2,5]-0.1)	NA		[0,3,13]		NA      
6		Low Analogue Input 3 Alarm 	40				OA		[0,0,3] < [0,2,6]|([0,3,6]&[0,0,3] < [0,2,6]+0.1)	NA		[0,3,13]		NA      
7		High Analogue Input 4 Alarm	41				OA		[0,0,4] > [0,2,7]|([0,3,7]&[0,0,4] > [0,2,7]-0.1)	NA		[0,3,13]		NA      
8		Low Analogue Input 4 Alarm 	42				OA		[0,0,4] < [0,2,8]|([0,3,8]&[0,0,4] < [0,2,8]+0.1)	NA		[0,3,13]		NA      
9		High Analogue Input 5 Alarm	43				OA		[0,0,5] > [0,2,9]|([0,3,9]&[0,0,5] > [0,2,9]-0.1)	NA		[0,3,13]		NA      
10		Low Analogue Input 5 Alarm 	44				OA		[0,0,5] < [0,2,10]|([0,3,10]&[0,0,5] < [0,2,10]+0.1)	NA		[0,3,13]		NA      
11		High Frequency Input Alarm 	45				OA		[0,0,6] > [0,2,11]|([0,3,11]&[0,0,6] > [0,2,11]-0.1)	NA		[0,3,13]		NA      
12		Low Frequency Input Alarm  	46				OA		[0,0,6] < [0,2,12]|([0,3,12]&[0,0,6] < [0,2,12]+0.1)	NA		[0,3,13]		NA      
13		SMIO failure			75				OA		[0,0,99] == 1						NA		NA			NA      
14		Testing Relay1			78				OA		[0,0,21] > 0		NA			NA						NA
15		Testing Relay2			79				OA		[0,0,22] > 0		NA			NA						NA
16		Testing Relay3			80				OA		[0,0,23] > 0		NA			NA						NA
